Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PortalIdentifier

All Superinterfaces:
  Identifier, PortalScopedObject, ResourceIdentifier, Serializable

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalIdentifier
extends ResourceIdentifier

Interface `PortalIdentifier` is used to uniquely identify a `Portal` instance within the portal framework.

Method Summary
`String` | `getApplicationName()` Deprecated. Returns the name of the app that this portal is deployed within.
`String` | `getPropertySetName()` Deprecated. Returns the name of the associated property set.
`String` | `getWebAppName()` Deprecated. Returns the name of the webApp that this portal is deployed within.

Methods inherited from interface com.bea.portal.model.ResourceIdentifier
`getResourceType`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.Identifier
`getId`

Method Detail

### getApplicationName

    public String getApplicationName()

  Deprecated.
  Returns the name of the app that this portal is deployed within.

  Returns:
    application name for this portal.

### getWebAppName

    public String getWebAppName()

  Deprecated.
  Returns the name of the webApp that this portal is deployed within.

  Returns:
    the web application name for this portal.

### getPropertySetName

    public String getPropertySetName()

  Deprecated.
  Returns the name of the associated property set.

  Returns:
    propertyset name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved